Index: contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/arm/rtems-4.8-arm-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/arm-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/bfin/rtems-4.8-bfin-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -174,5 +174,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -378,4 +379,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -425,4 +450,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/bfin-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/h8300/rtems-4.8-h8300-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/h8300-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/i386/rtems-4.8-i386-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/i386-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/m68k/rtems-4.8-m68k-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/m68k-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/mips/rtems-4.8-mips-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/mips-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/powerpc/rtems-4.8-powerpc-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/powerpc-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/sh/rtems-4.8-sh-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/sh-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
Index: contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-gcc.spec	(revision 13873d54e488ac404492dd89e467b12b030df25f)
+++ contrib/crossrpms/rtems4.8/sparc/rtems-4.8-sparc-rtems4.8-gcc.spec	(revision 86b2da4fb7bec6162af76b899f8f321e02830b62)
@@ -41,5 +41,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	31%{?dist}
+Release:      	32%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -56,5 +56,5 @@
 BuildRequires:  %{_host_rpmprefix}mpfr-devel
 %endif
-%if "%{?fedora}" >= "8"
+%if 0%{?fedora} >= 8
 BuildRequires:  mpfr-devel >= 2.3.0
 %endif
@@ -180,5 +180,6 @@
   CC="%{_host}-gcc ${RPM_OPT_FLAGS}" \
 %else
-  CC="%{__cc} ${RPM_OPT_FLAGS}" \
+# gcc is not ready to be compiled with -std=gnu99
+  CC=$(echo "%{__cc} ${RPM_OPT_FLAGS}" | sed -e 's,-std=gnu99 ,,') \
 %endif
   ../gcc-%{gcc_pkgvers}/configure \
@@ -384,4 +385,28 @@
 %define __find_requires %{_builddir}/%{name}-%{gcc_rpmvers}/find-requires
 
+%ifnarch noarch
+# Extract %%__debug_install_post into debug_install_post~
+cat << \EOF > debug_install_post~
+%__debug_install_post
+EOF
+
+# Generate customized debug_install_post script
+cat debug_install_post~ | while read a x y; do
+case $a in
+# Prevent find-debuginfo.sh* from trying to handle foreign binaries
+*/find-debuginfo.sh)
+  b=$(basename $a)
+  sed -e 's,find "$RPM_BUILD_ROOT" !,find "$RPM_BUILD_ROOT"%_bindir "$RPM_BUILD_ROOT"%_libexecdir !,' $a > $b
+  chmod a+x $b
+  ;;
+esac
+done
+
+sed -e 's,^[ ]*/usr/lib/rpm/find-debuginfo.sh,./find-debuginfo.sh,' \
+< debug_install_post~ > debug_install_post 
+%define __debug_install_post . ./debug_install_post
+
+%endif
+
 %clean
   rm -rf $RPM_BUILD_ROOT
@@ -431,4 +456,8 @@
 %endif
 %endif
+%endif
+
+%if "%{gcc_version}" >= "4.3.0"
+%dir %{gcclib}/sparc-rtems4.8/%{gcc_version}/include-fixed
 %endif
 
